aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zodb/Manifest1
-rw-r--r--dev-python/zodb/metadata.xml34
-rw-r--r--dev-python/zodb/zodb-5.8.0.ebuild62
3 files changed, 97 insertions, 0 deletions
diff --git a/dev-python/zodb/Manifest b/dev-python/zodb/Manifest
new file mode 100644
index 0000000..4f30cdc
--- /dev/null
+++ b/dev-python/zodb/Manifest
@@ -0,0 +1 @@
+DIST zodb-5.8.0.gh.tar.gz 512674 BLAKE2B 9a6c3ea483ad27d4a660120588be5e0f75f338136f7f75249cebd2e61b94f4790c901fd37ac7efe8fa6e09ef26ef49c4d5099d566bc459d40b7e49c6c17ccd62 SHA512 5c2c63bc27068b00dd9d28b00b55f95a474f4466a053eba6a53bd5347e33d11f922653acabef7e799e63b6ad8c66c1aa0be34e6e0a08d69adb6e5ac2ae3fa3b4
diff --git a/dev-python/zodb/metadata.xml b/dev-python/zodb/metadata.xml
new file mode 100644
index 0000000..25cfc45
--- /dev/null
+++ b/dev-python/zodb/metadata.xml
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ ZODB provides an object-oriented database for Python that provides a high-degree of transparency. ZODB runs on Python 2.7 or Python 3.4 and above. It also runs on PyPy.
+
+ no separate language for database operations
+
+ very little impact on your code to make objects persistent
+
+ no database mapper that partially hides the database.
+
+ Using an object-relational mapping is not like using an object-oriented database.
+
+ almost no seam between code and database.
+
+ ZODB is an ACID Transactional database.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zodb/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zodb/blob/master/CHANGES.rst</changelog>
+ <doc>https://zodb-docs.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zodb</remote-id>
+ <remote-id type="pypi">zodb</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zodb/zodb-5.8.0.ebuild b/dev-python/zodb/zodb-5.8.0.ebuild
new file mode 100644
index 0000000..b466595
--- /dev/null
+++ b/dev-python/zodb/zodb-5.8.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python object-oriented database"
+HOMEPAGE="https://github.com/zopefoundation/zodb"
+SRC_URI="https://github.com/zopefoundation/zodb/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/ZODB-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Failures
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/btrees[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/persistent[${PYTHON_USEDEP}]
+ dev-python/transaction[${PYTHON_USEDEP}]
+ dev-python/zc-lockfile[${PYTHON_USEDEP}]
+ dev-python/zconfig[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/sphinxautozconfig[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-zopeext[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/manuel[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+# dev-python/zodbpickle
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}